Last Comment Bug 692143 - Enable accessibility in android builds
: Enable accessibility in android builds
Status: RESOLVED FIXED
[Q4 A11y goal] birch+inbound
: access
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P3 normal (vote)
: ---
Assigned To: Eitan Isaacson [:eeejay]
:
:
Mentors:
: 698438 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-05 09:47 PDT by Eitan Isaacson [:eeejay]
Modified: 2012-01-09 11:24 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
remove android from accessibility blacklist in configure.in (245 bytes, patch)
2011-10-05 09:47 PDT, Eitan Isaacson [:eeejay]
doug.turner: review+
Details | Diff | Splinter Review
RSS from 2 minutes in from launching and loading google.com (17.94 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-10-19 13:14 PDT, Eitan Isaacson [:eeejay]
no flags Details
remove android from accessibility blacklist in configure.in (443 bytes, patch)
2011-11-09 14:22 PST, Eitan Isaacson [:eeejay]
no flags Details | Diff | Splinter Review

Description Eitan Isaacson [:eeejay] 2011-10-05 09:47:28 PDT
Created attachment 564896 [details] [diff] [review]
remove android from accessibility blacklist in configure.in

There will be a future need for accessibility to be enabled in Android builds. The TalkToMe[1] extension uses the nsIAccessible interfaces to provide non-visual access to Mobile Firefox. Using the Firefox's accessibility API in this extension allows us to build on top of current core functionality and to not re-invent the wheel in Javascript by using the DOM directly.

1. https://wiki.mozilla.org/Accessibility/TalkToMe
Comment 1 Eitan Isaacson [:eeejay] 2011-10-19 13:14:22 PDT
Created attachment 568163 [details]
RSS from 2 minutes in from launching and loading google.com
Comment 2 Eitan Isaacson [:eeejay] 2011-10-19 13:15:41 PDT
(In reply to Eitan Isaacson [:eeejay] from comment #1)
> Created attachment 568163 [details]
> RSS from 2 minutes in from launching and loading google.com

The above is from mozilla central rev 3c684b4b8f68. Cleaned app data, all automated, etc.
Comment 3 David Bolter [:davidb] 2011-10-19 13:30:57 PDT
Can you note apk size difference?
Comment 4 Eitan Isaacson [:eeejay] 2011-10-19 13:39:39 PDT
apk size diff is 145 kb
Comment 5 Eitan Isaacson [:eeejay] 2011-10-31 08:10:46 PDT
*** Bug 698438 has been marked as a duplicate of this bug. ***
Comment 7 Doug Turner (:dougt) 2011-11-08 20:27:25 PST
Comment on attachment 564896 [details] [diff] [review]
remove android from accessibility blacklist in configure.in

Review of attachment 564896 [details] [diff] [review]:
-----------------------------------------------------------------

we make software for everyone.
Comment 8 Eitan Isaacson [:eeejay] 2011-11-09 14:22:55 PST
Created attachment 573322 [details] [diff] [review]
remove android from accessibility blacklist in configure.in

Using hg export for patch
Comment 9 Kartikaya Gupta (email:kats@mozilla.com) 2011-11-14 15:09:04 PST
http://hg.mozilla.org/projects/birch/rev/e2cfd16ab416
Comment 10 David Bolter [:davidb] 2011-11-21 11:25:31 PST
And inbound
https://hg.mozilla.org/integration/mozilla-inbound/rev/deed0cafecc7
Comment 11 Ed Morley [:emorley] 2011-11-21 19:07:51 PST
https://hg.mozilla.org/mozilla-central/rev/deed0cafecc7

Note You need to log in before you can comment on or make changes to this bug.